controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;
use yii\data\SqlDataProvider;
use yii\data\ActiveDataProvider;
use app\models\Apps;
use app\models\Descargan;
use app\models\Destinos;
use app\models\Documentos;
use app\models\Empresas;
use app\models\Estudiantes;
use app\models\Idiomas;
use app\models\LTuristicos;
use app\models\Necesitan;
use app\models\Pisos;
use kartik\mpdf\Pdf;







class SiteController extends Controller
{
    /**
     * {@inheritdoc}
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        return $this->render('index');
    }

    /**
     * Login action.
     *
     * @return Response|string
     */
    public function actionLogin()
    {
        if (!Yii::$app->user->isGuest) {
            return $this->goHome();
        }

        $model = new LoginForm();
        if ($model->load(Yii::$app->request->post()) && $model->login()) {
            return $this->goBack();
        }

        $model->password = '';
        return $this->render('login', [
            'model' => $model,
        ]);
    }

    /**
     * Logout action.
     *
     * @return Response
     */
    public function actionLogout()
    {
        Yii::$app->user->logout();

        return $this->goHome();
    }

    /**
     * Displays contact page.
     *
     * @return Response|string
     */
    public function actionContact()
    {
        $model = new ContactForm();
        if ($model->load(Yii::$app->request->post()) && $model->contact(Yii::$app->params['adminEmail'])) {
            Yii::$app->session->setFlash('contactFormSubmitted');

            return $this->refresh();
        }
        return $this->render('contact', [
            'model' => $model,
        ]);
    }

    /**
     * Displays about page.
     *
     * @return string
     */
    public function actionAbout()
    {
        return $this->render('about');
    }
    public function actionDocumentos(){


        $dataProvider = new SqlDataProvider([
            'sql'=>'SELECT cod , nombre , utilidad , lugar_obtencion  FROM Documentos ',
            'pagination'=> [
                'pageSize'=>5,
            ]
        ]);
        
        return $this->render("resultado",[
            "resultados"=>$dataProvider,
            "campos"=>['cod' , 'nombre' , 'utilidad', 'lugar_obtencion'],
            "titulo"=>"Documentos",
        ]);
    }
    public function actionApps(){


        $dataProvider = new SqlDataProvider([
            'sql'=>'SELECT cod , nombre , utilidad , descripcion  FROM Apps ',
            'pagination'=> [
                'pageSize'=>5,
            ]
        ]);
        
        return $this->render("resultado",[
            "resultados"=>$dataProvider,
            "campos"=>['cod' , 'nombre' , 'utilidad' , 'descripcion'],
            "titulo"=>"Apps",
        ]);
    }
    public function actionDestinos(){


        $dataProvider = new SqlDataProvider([
            'sql'=>'SELECT cod , nombre , bandera , coste  FROM Destinos ',
            'pagination'=> [
                'pageSize'=>5,
            ]
        ]);
        
        return $this->render("resultado",[
            "resultados"=>$dataProvider,
            "campos"=>['cod' , 'nombre' , 'bandera' , 'coste'],
            "titulo"=>"Destinos",
        ]);
    }
    public function actionPisos(){


        $dataProvider = new SqlDataProvider([
            'sql'=>'SELECT cod , dirección , servicios , tipo , ciudad , coste  FROM Pisos ',
            'pagination'=> [
                'pageSize'=>5,
            ]
        ]);
        
        return $this->render("resultado",[
            "resultados"=>$dataProvider,
            "campos"=>['cod' , 'dirección' ,'servicios' , 'tipo' , 'ciudad' , 'coste'],
            "titulo"=>"Viviendas",
        ]);
    }
    public function actionEmpresas(){


        $dataProvider = new SqlDataProvider([
            'sql'=>'SELECT cod , nombre , dirección , categoría , ciudad , num_trabajadores  FROM Empresas ',
            'pagination'=> [
                'pageSize'=>5,
            ]
        ]);
        
        return $this->render("resultado",[
            "resultados"=>$dataProvider,
            "campos"=>['cod' , 'nombre' , 'dirección' , 'categoría' , 'ciudad' , 'num_trabajadores'],
            "titulo"=>"Empresas",
        ]);
    }
    public function actionEstudiantes(){


        $dataProvider = new SqlDataProvider([
            'sql'=>'SELECT cod , nombre , estudios , telefono , dni , tiempoEstancia , correo   FROM Estudiantes ',
            'pagination'=> [
                'pageSize'=>5,
            ]
        ]);
        
        return $this->render("resultado",[
            "resultados"=>$dataProvider,
            "campos"=>['cod' , 'nombre' , 'estudios' , 'telefono' , 'dni' , 'tiempoEstancia' , 'correo'],
            "titulo"=>"Empresas",
        ]);
    }

    public function actionMdestinos() 
    {
        $dataProvider = new ActiveDataProvider([

            'query' => Destinos::find(),
        ]);
        
        return $this-> render("destinos",[

            'dataProvider' => $dataProvider,
        ]);
    }
    public function actionMempresas() 
    {
        $dataProvider = new ActiveDataProvider([

            'query' => Empresas::find(),
        ]);
        
        return $this-> render("empresas",[

            'dataProvider' => $dataProvider,
        ]);
    }
     public function actionMdocumentos() 
    {
        $dataProvider = new ActiveDataProvider([

            'query' => Documentos::find(),
        ]);
        
        return $this-> render("documentos",[

            'dataProvider' => $dataProvider,
        ]);
    }
    public function actionMpisos() 
    {
        $dataProvider = new ActiveDataProvider([

            'query' => Pisos::find(),
        ]);
        
        return $this-> render("pisos",[

            'dataProvider' => $dataProvider,
        ]);
    }
    public function actionMapps() 
    {
        $dataProvider = new ActiveDataProvider([

            'query' => Apps::find(),
        ]);
        
        return $this-> render("apps",[

            'dataProvider' => $dataProvider,
        ]);
    }
     public function actionMlturisticos($id) 
    {
        $dataProvider = new ActiveDataProvider([

            'query' => LTuristicos::find()
            ->where("cod_destino=$id")
        ]);
        
        return $this-> render("ltruisticos",[

            'dataProvider' => $dataProvider,
        ]);
    }
        public function actionView($id)
    {
        $dataProvider = new ActiveDataProvider([

            'query' => Estudiantes::find()
                ->where("cod=$id")
        ]);
       
     $content = $this->renderPartial('presupuestos',[

            'dataProvider' => $dataProvider,
        ]);
    
    $pdf = new Pdf([
      
        'mode' => Pdf::MODE_CORE, 
        'format' => Pdf::FORMAT_A4, 
        'orientation' => Pdf::ORIENT_PORTRAIT, 
        'destination' => Pdf::DEST_BROWSER, 
        'content' => $content,  
        'cssFile' => 'css/site.css',
        'cssInline' => '.kv-heading-1{font-size:18px}', 
        'options' => ['title' => 'Krajee Report Title'],
        'methods' => [ 
            'SetHeader'=>['ErasmusEasy'], 
            'SetFooter'=>['{PAGENO}'],
        ]
    ]);    
    return $pdf->render(); 
    }

}

views/site/_apps.php
<?php
use yii\helpers\Html;
use yii\helpers\ArrayHelper;
$imagen = "@web/imagenes/app-store.png"; 
?>
<div class="datos row ">
<div>
    <h3><?= $model->nombre ?></h3>
    <div class="col-md-2">
    </div>
    <div class="col-md-4">
    <?=
          Html::img($imagen, ['alt' => 'casa' , 'class' => 'image2']);
    ?>
    </div>
    <div class="col-md-4">
    <h5><b>Utilidad: </b></h5>
    <p><?= $model->utilidad ?></p>
    <h5><b>Descripción: </b></h5>
    <p><?= $model->descripcion ?></p>
    </div>
</div>
</div>

views/site/_documentos.php
<?php
use yii\helpers\Html;
use yii\helpers\ArrayHelper;
$imagen = "@web/imagenes/google-docs.png"; 
?>
<div class="datos row ">
<div>
    <h3><?= $model->nombre ?></h3>
    <div class="col-md-2">
    </div>
    <div class="col-md-4">
    <?=
          Html::img($imagen, ['alt' => 'docs' , 'class' => 'image2']);
    ?>
    </div>
    <div class="col-md-5">
    <h5><b>Utilidad: </b></h5>
    <p><?= $model->utilidad ?></p>
    <h5><b>Lugar obtencion: </b></h5>
    <p><?= $model->lugar_obtencion ?></p>
    </div>
</div>
</div>

views/site/_lturisticos.php
<?php
use yii\helpers\Html;
use yii\helpers\ArrayHelper;
$imagen = "@web/imagenes/travel-map.png"; 
?>
<div class="datos row ">
<div>
    <h3><?= $model->nombre ?></h3>
    <div class="col-md-6">
    <?=
          Html::img($imagen, ['alt' => 'casa' , 'class' => 'image2']);
    ?>
    </div>
    <div class="col-md-6">
        <p><b>Ciudad:</b> <?= $model->ciudad ?></p>
        <p><b>Dirección:</b> <?= $model->dirección ?></p>
        <p><b>Pais:</b> <?= $model->codDestino->nombre ?></p>
        <p><b>Coste:</b> <?= $model->coste ?> €</p>
    </div>
    <p><?= $model->descripción ?></p>
    
</div>
</div>

views/site/_pisos.php
<?php
use yii\helpers\Html;
use yii\helpers\ArrayHelper;
if($model->tipo == 'casa'){
        $imagen= "@web/imagenes/casa.png"; 
    }else {
        $imagen= "@web/imagenes/departamento.png"; 
    }
?>
<div class="datos row ">
<div>
     <div class="col-md-6">
    <?=
          Html::img($imagen, ['alt' => 'casa' , 'class' => 'image2']);
    ?>
    <h5><b>Ciudad:</b></h5>
    <p> <?= $model->ciudad ?></p>
    <h5><b>Dirección:</b></h5>
    <p> <?= $model->dirección ?></p>
     </div>
     <div class="col-md-6">
    <h5><b>Pais: </b></h5>
    <p><?= $model->codDestino->nombre ?></p>
    <h5><b>Tipo: </b></h5>
    <p><?= $model->tipo ?></p>
    <h5><b>Servicios: </b></h5>
    <p><?= $model->servicios ?></p>
    <h5><b>Coste mensual: </b></h5>
    <p><?= $model->coste ?></p>
    </div>     
</div>
</div>

views/site/contact.php
<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model app\models\ContactForm */

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;
use yii\captcha\Captcha;

$this->title = 'Contact';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-contact">
    <h1><?= Html::encode($this->title) ?></h1>

    <?php if (Yii::$app->session->hasFlash('contactFormSubmitted')): ?>

        <div class="alert alert-success">
            Thank you for contacting us. We will respond to you as soon as possible.
        </div>

        <p>
            Note that if you turn on the Yii debugger, you should be able
            to view the mail message on the mail panel of the debugger.
            <?php if (Yii::$app->mailer->useFileTransport): ?>
                Because the application is in development mode, the email is not sent but saved as
                a file under <code><?= Yii::getAlias(Yii::$app->mailer->fileTransportPath) ?></code>.
                Please configure the <code>useFileTransport</code> property of the <code>mail</code>
                application component to be false to enable email sending.
            <?php endif; ?>
        </p>

    <?php else: ?>

        <p>
            If you have business inquiries or other questions, please fill out the following form to contact us.
            Thank you.
        </p>

        <div class="row">
            <div class="col-lg-5">

                <?php $form = ActiveForm::begin(['id' => 'contact-form']); ?>

                    <?= $form->field($model, 'name')->textInput(['autofocus' => true]) ?>

                    <?= $form->field($model, 'email') ?>

                    <?= $form->field($model, 'subject') ?>

                    <?= $form->field($model, 'body')->textarea(['rows' => 6]) ?>

                    <?= $form->field($model, 'verifyCode')->widget(Captcha::className(), [
                        'template' => '<div class="row"><div class="col-lg-3">{image}</div><div class="col-lg-6">{input}</div></div>',
                    ]) ?>

                    <div class="form-group">
                        <?= Html::submitButton('Submit', ['class' => 'btn btn-primary', 'name' => 'contact-button']) ?>
                    </div>

                <?php ActiveForm::end(); ?>

            </div>
        </div>

    <?php endif; ?>
</div>

views/site/destinos.php
<?php

use\yii\helpers\Html;
use yii\helpers\HtmlPurifier;
use yii\widgets\ListView;
$titulo="Destinos"
?>

<?= ListView::widget([
        'dataProvider' => $dataProvider,
        'itemView' => "_destinos",
        'layout'=> "{items}", 
        ]);
?>

views/site/documentos.php
<?php

use\yii\helpers\Html;
use yii\helpers\HtmlPurifier;
use yii\widgets\ListView;
$titulo="Documentos"
?>

<?= ListView::widget([
        'dataProvider' => $dataProvider,
        'itemView' => "_documentos",
        'layout'=> "{items}", 
        ]);
?>

views/site/empresas.php
<?php

use\yii\helpers\Html;
use yii\helpers\HtmlPurifier;
use yii\widgets\ListView;
$titulo="Empresas"
?>

<?= ListView::widget([
        'dataProvider' => $dataProvider,
        'itemView' => "_empresas",
        'layout'=> "{items}", 
        ]);
?>

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/index.php
<?php
use yii\helpers\Html;
/* @var $this yii\web\View */

$this->title = 'Erasmus Easy';
?>
<div class="site-index">

    <div class="jumbotron">
        <h2>¡Bienvenido a ErasmusEasy!</h2>

        <p class="lead">En nuestra pagina web podra organizar su viaje erasmus de manera sencila y adaptandose
        a sus necesidades lo mejor posible ademas de recibir el presupuesto de maner inmediata .</p>

        <p></p>
    </div>
    <!-- Carousel container -->
    <div id="slider" class="carousel slide" data-ride="carousel" style="width:1000px;height:500px;margin:auto;">

        <!-- Indicators -->
        <ol class="carousel-indicators">
            <li data-target="#slider" data-slide-to="0" class="active"></li>
            <li data-target="#sliders" data-slide-to="1"></li>
            <li data-target="#slider" data-slide-to="2"></li>
            <li data-target="#slider" data-slide-to="3"></li>
            <li data-target="#slider" data-slide-to="4"></li>
        </ol>

        <!-- Content -->
        <div class="carousel-inner" role="listbox">

            <!-- Slide 1 -->
            <div class="item active">
                <?= Html::img('@web/imagenes/Europa.jpg', ['alt' => 'First slide']) ?>
                <div class="carousel-caption">
                    <div class="letras">
                        <h3><b>Destinos</b></h3>
                    <p>Tenemos una selección de paises donde podras formarte tanto laboralamente como crecer en lo personal</p>
                     </div>
                    <?= Html::a('Destinos', ['site/mdestinos'], ['class' => 'btn btn-success'])?>
                </div>
            </div>

            <!-- Slide 2 -->
            <div class="item">
                <?= Html::img('@web/imagenes/empresa.jpg', ['alt' => 'Second slide']) ?>
                <div class="carousel-caption">
                    <div class="letras">
                    <h3><b>Empresas</b></h3>
                    <p>Poseemos un gran catalogo de empresas donde podra usted realizar sus practicas </p><br>
                    </div>
                    <?= Html::a('Empresas', ['site/mempresas'], ['class' => 'btn btn-success'])?>
                </div> 
            </div>

            <!-- Slide 3 -->
            <div class="item">
                <?= Html::img('@web/imagenes/viviendas.jpg', ['alt' => 'Third slide']) ?>
                <div class="carousel-caption">
                    <div class="letras">
                    <h3><b>Viviendas</b></h3>
                    <p>Aquí podra encontrar numerossos pisos donde alojarse</p><br>  
                    </div>
                    <?= Html::a('Viviendas', ['site/mpisos'], ['class' => 'btn btn-success'])?>
                </div> 
            </div>

            <!-- Slide 4 -->
            <div class="item">
               <?= Html::img('@web/imagenes/documentos.jpg', ['alt' => 'Forth slide']) ?>
               <div class="carousel-caption">
               <div class="letras">
                   <h3><b>Documentos</b></h3>
                <p>Ademas le recordamos aqui todo los documentos que podra necesitar durante su estancia o para el desplazamiento</p><br>
                </div>
                <?= Html::a('Documentos', ['site/mdocumentos'], ['class' => 'btn btn-success'])?>    
            </div>
        </div>

        <!-- Slide 5 -->
        <div class="item">
         <?= Html::img('@web/imagenes/apps.jpg', ['alt' => 'Fifth slide']) ?>
         <div class="carousel-caption">
            <div class="letras">
            <h3><b>Apps</b></h3>
            <p>Tambien le recomendamos una serie de apps que le podran ser de utilida para su viaje</p><br>
            </div>
            <?= Html::a('APPS', ['site/mapps'], ['class' => 'btn btn-success'])?>
        </div>  
    </div>

</div>

<!-- Previous/Next controls -->
<a class="left carousel-control" href="#slider" role="button" data-slide="prev">
    <span class="icon-prev" aria-hidden="true"></span>
    <span class="sr-only">Previous</span>
</a>
<a class="right carousel-control" href="#slider" role="button" data-slide="next">
    <span class="icon-next" aria-hidden="true"></span>
    <span class="sr-only">Next</span>
</a>
</div>
</div>

views/site/login.php
<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model app\models\LoginForm */

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;

$this->title = 'Login';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-login">
    <h1><?= Html::encode($this->title) ?></h1>

    <div class="ml-5">
    <?php $form = ActiveForm::begin([
        'id' => 'login-form',
        'layout' => 'horizontal',
        'fieldConfig' => [
            'template' => "{label}\n<div class=\"col-lg-3\">{input}</div>\n<div class=\"col-lg-8\">{error}</div>",
            'labelOptions' => ['class' => 'col-lg-1 control-label'],
        ],
    ]); ?>

        <?= $form->field($model, 'username')->textInput(['autofocus' => true]) ?>

        <?= $form->field($model, 'password')->passwordInput() ?>

        <?= $form->field($model, 'rememberMe')->checkbox([
            'template' => "<div class=\"col-lg-offset-1 col-lg-3\">{input} {label}</div>\n<div class=\"col-lg-8\">{error}</div>",
        ]) ?>
       
        <div class="form-group">
            <div class="col-lg-offset-1 col-lg-11">
                <?= Html::submitButton('Login', ['class' => 'btn btn-primary', 'name' => 'login-button']) ?>
            </div>
        </div>
      </div>

    <?php ActiveForm::end(); ?>

</div>

views/site/ltruisticos.php
<?php

use\yii\helpers\Html;
use yii\helpers\HtmlPurifier;
use yii\widgets\ListView;
$titulo="Lugares Turisticos"
?>

<?= ListView::widget([
        'dataProvider' => $dataProvider,
        'itemView' => "_lturisticos",
        'layout' => '{items}',
        ]);
?>

views/site/pisos.php
<?php

use\yii\helpers\Html;
use yii\helpers\HtmlPurifier;
use yii\widgets\ListView;
$titulo="Pisos"
?>

<?= ListView::widget([
        'dataProvider' => $dataProvider,
        'layout' => '{items}',
        'itemView' => "_pisos",
        ]);
?>

views/site/resultado.php
<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
use yii\grid\GridView;
?>


<div class="jumbotron">
    <h2><?=$titulo?></h2>
</div>


<?= GridView::widget([
    'dataProvider' => $resultados,
    'columns'=>$campos
    
    ]); ?>